SystemOrganization addCategory: 'MonticelloFileTree-FileDirectory-Utilities'!

!FileDirectory methodsFor: '*monticellofiletree-filedirectory-utilities' stamp: 'dkh 8/10/2012 09:10'!
fileTreeUtilityClass
    ^ MCFileTreeFileDirectoryUtils! !

MCFileTreeFileUtils subclass: #MCFileTreeFileDirectoryUtils
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MonticelloFileTree-FileDirectory-Utilities'!

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 09/15/2012 12:59'!
default
    ^ ServerFileDirectory default! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/8/2012 22:12'!
deleteAll: aDirectory
    ^ aDirectory recursiveDelete! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/8/2012 21:48'!
directoryExists: aDirectory
    ^ aDirectory exists! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/10/2012 13:46'!
directoryFromEntry: directoryEntry
    ^ directoryEntry asFileDirectory! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 09/15/2012 13:00'!
directoryFromPath: directoryPath
    ^ ServerFileDirectory on: directoryPath! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/10/2012 05:18'!
directoryFromPath: directoryPath relativeTo: aDirectory
    ^ aDirectory directoryNamed: directoryPath! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/10/2012 06:43'!
directoryName: aDirectory
    ^ aDirectory localName! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/10/2012 07:50'!
directoryPathString: aDirectory
    ^ aDirectory pathName! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/10/2012 05:22'!
ensureDirectoryExists: aDirectory
    aDirectory assureExistence! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 09/15/2012 13:00'!
ensureFilePathExists: fileNameOrPath relativeTo: aDirectory
    ServerFileDirectory splitName: fileNameOrPath to: [ :fPath :fname | (aDirectory directoryNamed: fPath) assureExistence ]! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/9/2012 15:50'!
filePathExists: filePath relativeTo: aDirectory
    ^ aDirectory fileExists: (aDirectory fullNameFor: filePath)! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'initialization' stamp: 'dkh 8/9/2012 08:29'!
initialize
    "self initialize"

    self install! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/9/2012 09:33'!
parentDirectoryOf: aDirectory
    ^ aDirectory containingDirectory! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 09/15/2012 13:00'!
pathNameDelimiter
    ^ ServerFileDirectory pathNameDelimiter! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 09/15/2012 13:46'!
readStreamFor: filePath in: aDirectory do: aBlock
    ^ aDirectory readOnlyFileNamed: filePath do: aBlock! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/9/2012 15:38'!
resolvePath: path in: aDirectory
    ^ aDirectory directoryNamed: path! !

!MCFileTreeFileDirectoryUtils class methodsFor: 'utilities' stamp: 'dkh 8/9/2012 09:44'!
writeStreamFor: filePath in: aDirectory do: aBlock
    aDirectory forceNewFileNamed: filePath do: aBlock! !
MCFileTreeFileDirectoryUtils initialize!
